## liblms7compact 0.0.1+git20190125.bfd5418

=== CMakeLists.txt ===
project(liblms7002m C)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
cmake_minimum_required(VERSION 2.8)

# Set the version information here
set(MAJOR_VERSION 0)
set(API_COMPAT    0)
set(MINOR_VERSION 1)
set(MAINT_VERSION git)

set(LIBVER  "${MAJOR_VERSION}.${API_COMPAT}.${MINOR_VERSION}")

# determine target architecture
execute_process(COMMAND ${CMAKE_C_COMPILER} -print-multiarch OUTPUT_VARIABLE CC_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
if(CC_ARCH MATCHES "i386")
        message(STATUS "Building for i386")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
        set(ARCH "x86")
elseif(CC_ARCH MATCHES "x86_64")
        message(STATUS "Building for x86_64")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
        set(ARCH "x86")
elseif(CC_ARCH MATCHES "aarch64")
        message(STATUS "Building for aarch64")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "arm64")
        set(ARCH "arm")
elseif(CC_ARCH MATCHES "arm.*eabihf")
        message(STATUS "Building for armhf")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "armhf")
        set(ARCH "arm")
else()
        message(WARNING "Unknown target architecture ${CC_ARCH}, forcing to FORCE_ARCH=${FORCE_ARCH} variable if it was provided")
        set(ARCH ${FORCE_ARCH})
endif()

set(CROSS_COMPILE_INCLUDE_PATH "/usr/${CC_ARCH}/include")
set(CROSS_COMPILE_LIB_PATH     "/usr/${CC_ARCH}/lib")


set(LIBLMS7002M_LIBRARY_DIR      lib${LIB_SUFFIX})
set(LIBLMS7002M_INCLUDE_DIR      include)

find_package(PythonInterp 2.7 REQUIRED)
message(STATUS "Python found at ${PYTHON_EXECUTABLE}")
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "from Cheetah.Template import Template" RESULT_VARIABLE retcode)
if(NOT "${retcode}" STREQUAL "0")
    message(FATAL_ERROR "Python module Cheetah is reuired! Install 'python-cheetah' package.")
endif()

file(GLOB LMS7002M_REG_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/regs/*.json")

add_custom_command(
    OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/lms7002m_defs.h
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/regs/enum_parser.py ${LMS7002M_REG_SOURCES} > ${CMAKE_CURRENT_BINARY_DIR}/lms7002m_defs.h
    DEPENDS ${LMS7002M_REG_SOURCES}
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(LIBLMS7_FILES liblms7002m.c ${CMAKE_CURRENT_BINARY_DIR}/lms7002m_defs.h)
if(CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(LIBLMS7_TYPE STATIC)
else()
    set(LIBLMS7_TYPE SHARED)
endif()
add_library(lms7compact ${LIBLMS7_TYPE} ${LIBLMS7_FILES})

install(TARGETS lms7compact DESTINATION ${LIBLMS7002M_LIBRARY_DIR})
########################################################################
# install headers
########################################################################
install(FILES liblms7002m.h DESTINATION ${LIBLMS7002M_INCLUDE_DIR})

########################################################################
# package generator
########################################################################
if(NOT CPACK_GENERATOR)
    set(CPACK_GENERATOR DEB)
endif()
set(CPACK_PACKAGE_NAME                "liblms7002m")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "lms7002m compact library")
set(CPACK_PACKAGE_VENDOR              "Fairwaves, Inc.")
set(CPACK_PACKAGE_CONTACT             "http://fairwaves.co/wp/contact-us/")
set(CPACK_PACKAGE_VERSION             ${LIBVER}-1)
set(CPACK_DEBIAN_PACKAGE_DEPENDS      "libc6 (>= 2.17)")

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
set(CPACK_SET_DESTDIR               "")
set(CPACK_PACKAGING_INSTALL_PREFIX  "/usr")
set(CPACK_PACKAGE_CONTACT           "Sergey Kostanbaev <sergey.kostanbaev@fairwaves.co>")

include(CPack) #include last

=== debian/changelog ===
liblms7compact (0.0.1+git20190125.bfd5418-1) unstable; urgency=medium

  * Initial release (Closes: #945150)

 -- Sepi Gair <sepigair@email.cz>  Fri, 22 Nov 2019 16:46:56 +0100

=== debian/control ===
Source: liblms7compact
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), cmake, python3-cheetah
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/xtrx-sdr/liblms7002m
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/liblms7compact
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/liblms7compact.git

Package: liblms7compact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblms7compact0 (= ${binary:Version}), ${misc:Depends}
Description: Compact LMS7002 library suitable for MCU: development
 The LMS7002M is Lime's second-generation field programmable RF (FPRF)
 transceiver IC with extended functionality to cover a greater range of
 frequencies and applications.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains development files.

Package: liblms7compact0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compact LMS7002 library suitable for MCU
 The LMS7002M is Lime's second-generation field programmable RF (FPRF)
 transceiver IC with extended functionality to cover a greater range of
 frequencies and applications.
 .
 The library is developed for XTRX SDR which is the smallest easily embeddable
 software-defined radio (SDR). It is both affordable and high-performance. XTRX
 is designed to enable the next generation of wireless solutions, from
 prototype to production.
 .
 This package contains the shared library.

=== debian/watch ===
version=4
opts=mode=git,pretty=0.0.1+git%cd.%h, \
 https://github.com/xtrx-sdr/liblms7002m.git \
 heads/master debian
